Subject: Re: bug#25174: C-h v some keymap now gives some numbers instead of the familiar bindings

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 14 Oct 2019 22:12:07 +0200

Michael Heerdegen <[email-masked]> writes:

> Lars Ingebrigtsen <[email-masked]> writes:
>
>> That's the value of the keymap variable, so I don't see anything to
>> fix here.
>
> But I think the report is about how this value is being printed.
> 67108908 is not that...informative.
>
> I guess one could teach cl-print to produce a more human readable syntax
> for keymaps.  That could also be useful for M-:.

A keymap is just a list (or vector); C-h v should display it as is.

If a user wants a readable output, there's `C-h b' etc.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no